<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 16:28:38 CEST 2020 -->
<title>FileNamesUtil</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FileNamesUtil";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileNamesUtil.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/service/core/utils/AnalysisResultUtil.html" title="class in org.polarsys.chess.service.core.utils"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/service/core/utils/FileNamesUtil.html" target="_top">Frames</a></li>
<li><a href="FileNamesUtil.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.service.core.utils</div>
<h2 title="Class FileNamesUtil" class="title">Class FileNamesUtil</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.service.core.utils.FileNamesUtil</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">FileNamesUtil</span>
extends java.lang.Object</pre>
<div class="block">Utility class for generating transformations file names.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>cristofo</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#FEI_EXT">FEI_EXT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#FILES_FOLD">FILES_FOLD</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#OCRA_FOLD">OCRA_FOLD</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#OSS_EXT">OSS_EXT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#RES_FOLD">RES_FOLD</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#SMV_EXT">SMV_EXT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#TEMP_FOLD">TEMP_FOLD</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#UML_EXT">UML_EXT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#XSAP_FOLD">XSAP_FOLD</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#FileNamesUtil--">FileNamesUtil</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#computeContractCompositeImplementationFileName-org.eclipse.uml2.uml.Class-">computeContractCompositeImplementationFileName</a></span>(org.eclipse.uml2.uml.Class&nbsp;systemComponent)</code>
<div class="block">Computes the file name for the Composite Contract Implementation
 analysis.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#computeContractFaultTreeFileName-org.eclipse.uml2.uml.Class-">computeContractFaultTreeFileName</a></span>(org.eclipse.uml2.uml.Class&nbsp;systemComponent)</code>
<div class="block">Computes the file name for the Contract-based fault tree analysis.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#computeContractPropertyValidationFileName-org.eclipse.uml2.uml.Class-">computeContractPropertyValidationFileName</a></span>(org.eclipse.uml2.uml.Class&nbsp;systemComponent)</code>
<div class="block">Computes the file name for the Contract Property Validation analysis.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#computeContractRefinementFileName-org.eclipse.uml2.uml.Class-">computeContractRefinementFileName</a></span>(org.eclipse.uml2.uml.Class&nbsp;systemComponent)</code>
<div class="block">Computes the file name for the Contract refinement analysis.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#computeExpandedFeiFileName-org.eclipse.ui.IEditorPart-java.lang.String-">computeExpandedFeiFileName</a></span>(org.eclipse.ui.IEditorPart&nbsp;editor,
                          java.lang.String&nbsp;modelSystemName)</code>
<div class="block">Computes the absolute file name for the expanded FEI.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#computeExtendedSmvFileName-org.eclipse.ui.IEditorPart-java.lang.String-">computeExtendedSmvFileName</a></span>(org.eclipse.ui.IEditorPart&nbsp;editor,
                          java.lang.String&nbsp;modelSystemName)</code>
<div class="block">Computes the absolute file name for the extended SMV.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#computeFeiFileName-org.eclipse.ui.IEditorPart-java.lang.String-">computeFeiFileName</a></span>(org.eclipse.ui.IEditorPart&nbsp;editor,
                  java.lang.String&nbsp;modelSystemName)</code>
<div class="block">Computes the absolute file name of the FEI.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#computeFileTargetFolder-org.eclipse.ui.IEditorPart-">computeFileTargetFolder</a></span>(org.eclipse.ui.IEditorPart&nbsp;editor)</code>
<div class="block">Computes the target folder for files.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#computeFmeaFileName-org.eclipse.ui.IEditorPart-java.lang.String-">computeFmeaFileName</a></span>(org.eclipse.ui.IEditorPart&nbsp;editor,
                   java.lang.String&nbsp;modelSystemName)</code>
<div class="block">Computes the absolute file name for the FMEA table.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#computeFmsFileName-org.eclipse.ui.IEditorPart-java.lang.String-">computeFmsFileName</a></span>(org.eclipse.ui.IEditorPart&nbsp;editor,
                  java.lang.String&nbsp;modelSystemName)</code>
<div class="block">Computes the absolute file name for the fms.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#computeFtFileName-org.eclipse.ui.IEditorPart-java.lang.String-int-">computeFtFileName</a></span>(org.eclipse.ui.IEditorPart&nbsp;editor,
                 java.lang.String&nbsp;modelSystemName,
                 int&nbsp;index)</code>
<div class="block">Computes the absolute file name for the fault tree.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#computeModelCheckingFileName-org.eclipse.uml2.uml.Class-">computeModelCheckingFileName</a></span>(org.eclipse.uml2.uml.Class&nbsp;systemComponent)</code>
<div class="block">Computes the file name for the Model Checking analysis.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#computePropertyValidationFileName-org.eclipse.uml2.uml.Class-">computePropertyValidationFileName</a></span>(org.eclipse.uml2.uml.Class&nbsp;systemComponent)</code>
<div class="block">Computes the file name for the Property Validation analysis.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#computeSmvFileName-org.eclipse.ui.IEditorPart-java.lang.String-">computeSmvFileName</a></span>(org.eclipse.ui.IEditorPart&nbsp;editor,
                  java.lang.String&nbsp;modelSystemName)</code>
<div class="block">Computes the absolute file name of the SMV.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.core.resources.IFolder</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#computeXSapFolder-org.eclipse.ui.IEditorPart-">computeXSapFolder</a></span>(org.eclipse.ui.IEditorPart&nbsp;editor)</code>
<div class="block">Computes the folder for xSAP material.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html" title="class in org.polarsys.chess.service.core.utils">FileNamesUtil</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html#getInstance--">getInstance</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="UML_EXT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UML_EXT</h4>
<pre>public static final&nbsp;java.lang.String UML_EXT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.service.core.utils.FileNamesUtil.UML_EXT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OSS_EXT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OSS_EXT</h4>
<pre>public static final&nbsp;java.lang.String OSS_EXT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.service.core.utils.FileNamesUtil.OSS_EXT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SMV_EXT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SMV_EXT</h4>
<pre>public static final&nbsp;java.lang.String SMV_EXT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.service.core.utils.FileNamesUtil.SMV_EXT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FEI_EXT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FEI_EXT</h4>
<pre>public static final&nbsp;java.lang.String FEI_EXT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.service.core.utils.FileNamesUtil.FEI_EXT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OCRA_FOLD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OCRA_FOLD</h4>
<pre>public static final&nbsp;java.lang.String OCRA_FOLD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.service.core.utils.FileNamesUtil.OCRA_FOLD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="XSAP_FOLD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>XSAP_FOLD</h4>
<pre>public static final&nbsp;java.lang.String XSAP_FOLD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.service.core.utils.FileNamesUtil.XSAP_FOLD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RES_FOLD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RES_FOLD</h4>
<pre>public static final&nbsp;java.lang.String RES_FOLD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.service.core.utils.FileNamesUtil.RES_FOLD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FILES_FOLD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FILES_FOLD</h4>
<pre>public static final&nbsp;java.lang.String FILES_FOLD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.service.core.utils.FileNamesUtil.FILES_FOLD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TEMP_FOLD">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TEMP_FOLD</h4>
<pre>public static final&nbsp;java.lang.String TEMP_FOLD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.polarsys.chess.service.core.utils.FileNamesUtil.TEMP_FOLD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FileNamesUtil--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FileNamesUtil</h4>
<pre>public&nbsp;FileNamesUtil()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../../../../../../org/polarsys/chess/service/core/utils/FileNamesUtil.html" title="class in org.polarsys.chess.service.core.utils">FileNamesUtil</a>&nbsp;getInstance()</pre>
</li>
</ul>
<a name="computeXSapFolder-org.eclipse.ui.IEditorPart-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeXSapFolder</h4>
<pre>public&nbsp;org.eclipse.core.resources.IFolder&nbsp;computeXSapFolder(org.eclipse.ui.IEditorPart&nbsp;editor)</pre>
<div class="block">Computes the folder for xSAP material.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>editor</code> - the active editor</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="computeFtFileName-org.eclipse.ui.IEditorPart-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeFtFileName</h4>
<pre>public&nbsp;java.lang.String&nbsp;computeFtFileName(org.eclipse.ui.IEditorPart&nbsp;editor,
                                          java.lang.String&nbsp;modelSystemName,
                                          int&nbsp;index)</pre>
<div class="block">Computes the absolute file name for the fault tree.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>editor</code> - the active editor</dd>
<dd><code>modelSystemName</code> - the model name</dd>
<dd><code>index</code> - an index to differentiate the generated file</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="computeFmeaFileName-org.eclipse.ui.IEditorPart-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeFmeaFileName</h4>
<pre>public&nbsp;java.lang.String&nbsp;computeFmeaFileName(org.eclipse.ui.IEditorPart&nbsp;editor,
                                            java.lang.String&nbsp;modelSystemName)</pre>
<div class="block">Computes the absolute file name for the FMEA table.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>editor</code> - the active editor</dd>
<dd><code>modelSystemName</code> - the model name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="computeExtendedSmvFileName-org.eclipse.ui.IEditorPart-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeExtendedSmvFileName</h4>
<pre>public&nbsp;java.lang.String&nbsp;computeExtendedSmvFileName(org.eclipse.ui.IEditorPart&nbsp;editor,
                                                   java.lang.String&nbsp;modelSystemName)</pre>
<div class="block">Computes the absolute file name for the extended SMV.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>editor</code> - the active editor</dd>
<dd><code>modelSystemName</code> - the model name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="computeExpandedFeiFileName-org.eclipse.ui.IEditorPart-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeExpandedFeiFileName</h4>
<pre>public&nbsp;java.lang.String&nbsp;computeExpandedFeiFileName(org.eclipse.ui.IEditorPart&nbsp;editor,
                                                   java.lang.String&nbsp;modelSystemName)</pre>
<div class="block">Computes the absolute file name for the expanded FEI.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>editor</code> - the active editor</dd>
<dd><code>modelSystemName</code> - the model name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="computeFmsFileName-org.eclipse.ui.IEditorPart-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeFmsFileName</h4>
<pre>public&nbsp;java.lang.String&nbsp;computeFmsFileName(org.eclipse.ui.IEditorPart&nbsp;editor,
                                           java.lang.String&nbsp;modelSystemName)</pre>
<div class="block">Computes the absolute file name for the fms.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>editor</code> - the active editor</dd>
<dd><code>modelSystemName</code> - the model name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="computeFileTargetFolder-org.eclipse.ui.IEditorPart-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeFileTargetFolder</h4>
<pre>public&nbsp;java.lang.String&nbsp;computeFileTargetFolder(org.eclipse.ui.IEditorPart&nbsp;editor)</pre>
<div class="block">Computes the target folder for files.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>editor</code> - the active editor</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="computeSmvFileName-org.eclipse.ui.IEditorPart-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeSmvFileName</h4>
<pre>public&nbsp;java.lang.String&nbsp;computeSmvFileName(org.eclipse.ui.IEditorPart&nbsp;editor,
                                           java.lang.String&nbsp;modelSystemName)</pre>
<div class="block">Computes the absolute file name of the SMV.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>editor</code> - the active editor</dd>
<dd><code>modelSystemName</code> - the model name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="computeFeiFileName-org.eclipse.ui.IEditorPart-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeFeiFileName</h4>
<pre>public&nbsp;java.lang.String&nbsp;computeFeiFileName(org.eclipse.ui.IEditorPart&nbsp;editor,
                                           java.lang.String&nbsp;modelSystemName)</pre>
<div class="block">Computes the absolute file name of the FEI.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>editor</code> - the active editor</dd>
<dd><code>modelSystemName</code> - the model name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="computeContractFaultTreeFileName-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeContractFaultTreeFileName</h4>
<pre>public&nbsp;java.lang.String&nbsp;computeContractFaultTreeFileName(org.eclipse.uml2.uml.Class&nbsp;systemComponent)</pre>
<div class="block">Computes the file name for the Contract-based fault tree analysis.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>systemComponent</code> - the root component of the analysis</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="computeContractRefinementFileName-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeContractRefinementFileName</h4>
<pre>public&nbsp;java.lang.String&nbsp;computeContractRefinementFileName(org.eclipse.uml2.uml.Class&nbsp;systemComponent)</pre>
<div class="block">Computes the file name for the Contract refinement analysis.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>systemComponent</code> - the root component of the analysis</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="computeContractCompositeImplementationFileName-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeContractCompositeImplementationFileName</h4>
<pre>public&nbsp;java.lang.String&nbsp;computeContractCompositeImplementationFileName(org.eclipse.uml2.uml.Class&nbsp;systemComponent)</pre>
<div class="block">Computes the file name for the Composite Contract Implementation
 analysis.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>systemComponent</code> - the root component of the analysis</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="computePropertyValidationFileName-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computePropertyValidationFileName</h4>
<pre>public&nbsp;java.lang.String&nbsp;computePropertyValidationFileName(org.eclipse.uml2.uml.Class&nbsp;systemComponent)</pre>
<div class="block">Computes the file name for the Property Validation analysis.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>systemComponent</code> - the root component of the analysis</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="computeContractPropertyValidationFileName-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeContractPropertyValidationFileName</h4>
<pre>public&nbsp;java.lang.String&nbsp;computeContractPropertyValidationFileName(org.eclipse.uml2.uml.Class&nbsp;systemComponent)</pre>
<div class="block">Computes the file name for the Contract Property Validation analysis.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>systemComponent</code> - the root component of the analysis</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="computeModelCheckingFileName-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>computeModelCheckingFileName</h4>
<pre>public&nbsp;java.lang.String&nbsp;computeModelCheckingFileName(org.eclipse.uml2.uml.Class&nbsp;systemComponent)</pre>
<div class="block">Computes the file name for the Model Checking analysis.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>systemComponent</code> - the root component of the analysis</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileNamesUtil.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/service/core/utils/AnalysisResultUtil.html" title="class in org.polarsys.chess.service.core.utils"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/service/core/utils/FileNamesUtil.html" target="_top">Frames</a></li>
<li><a href="FileNamesUtil.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
